# List all product rate plans of a product Retrieves information about all product rate plans of a specific product. Endpoint: GET /v1/products/{product-key}/product-rate-plans Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. - `show-charge-definitions` (boolean) Specifies whether to include the product charge definitions of this rate plan in the response. Note: This parameter is applicable only if the Attribute Based Pricing feature is enabled. To access this feature, submit a request at Zuora Global Support. ## Path parameters: - `product-key` (string, required) The unique ID or SKU of a product. For example, 2c92c0f96487e16a016487f663c71a61 or SKU-00000987. ## Response 200 fields (application/json): - `nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `productRatePlans` (array) Container for one or more products. - `productRatePlans.description` (string) Rate plan description. - `productRatePlans.effectiveEndDate` (string) Final date the rate plan is active, as yyyy-mm-dd. After this date, the rate plan status is Expired. - `productRatePlans.effectiveStartDate` (string) First date the rate plan is active (i.e., available to be subscribed to), as yyyy-mm-dd. Before this date, the status is NotStarted. - `productRatePlans.grade` (number) The grade of the product rate plan. Note: This field is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. If you want to join this early adopter program, submit a request at [Zuora Global Support](http://support.zuora.com/). - `productRatePlans.id` (string) Unique product rate-plan ID. - `productRatePlans.name` (string) Name of the product rate-plan charge. (Not required to be unique.) - `productRatePlans.productRatePlanCharges` (array) Field attributes describing the product rate plan charges: - `productRatePlans.productRatePlanCharges.applyDiscountTo` (string) Specifies where (to what charge type) the discount will be applied. These field values are case-sensitive. Permissible values: - RECURRING - USAGE - ONETIMERECURRING - ONETIMEUSAGE - RECURRINGUSAGE - ONETIMERECURRINGUSAGE - `productRatePlans.productRatePlanCharges.billingDay` (string) The bill cycle day (BCD) for the charge. The BCD determines which day of the month or week the customer is billed. The BCD value in the account can override the BCD in this object. - `productRatePlans.productRatePlanCharges.billingPeriod` (string) The billing period for the charge. The start day of the billing period is also called the bill cycle day (BCD). Values: - Month - Quarter - Annual - Semi_Annual - Specific Months - Week - Specific_Weeks - `productRatePlans.productRatePlanCharges.billingPeriodAlignment` (string) Aligns charges within the same subscription if multiple charges begin on different dates. Possible values: - AlignToCharge - AlignToSubscriptionStart - AlignToTermStart - `productRatePlans.productRatePlanCharges.billingTiming` (string) The billing timing for the charge. You can choose to bill for charges in advance or in arrears. Values: - In Advance - In Arrears Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com). - `productRatePlans.productRatePlanCharges.chargeFunction` (string) Note: This field is only available if you have the Prepaid with Drawdown or Minimum Commitment feature enabled. To use this field, you must set the X-Zuora-WSDL-Version request header to 141 or higher. Otherwise, an error occurs. This field defines what type of charge it is: * Standard: Normal charge with no Prepayment or Commitment or Drawdown. * Prepayment: For recurring charges. Unit or currency based prepaid charge. * CommitmentTrueUp: For recurring charges. Currency based minimum commitment charge. * Drawdown: For usage charges. Drawdown from prepaid funds. * DrawdownAndCreditCommitment: For usage charges. Drawdown from prepaid funds and then credit to minimum commitment funds. * CreditCommitment: For usage charges. Credit to minimum commitment funds. Enum: "Standard", "Prepayment", "CommitmentTrueUp", "Drawdown", "CreditCommitment", "DrawdownAndCreditCommitment" - `productRatePlans.productRatePlanCharges.commitmentType` (string) Note: This field is only available if you have the Prepaid with Drawdown feature enabled. To use this field, you must set the X-Zuora-WSDL-Version request header to 133 or higher. Otherwise, an error occurs. This field defines the type of commitment. A prepaid charge can be UNIT or CURRENCY. A minimum commitment(in-arrears) charge can only be CURRENCY type. For topup(recurring or one-time) charges, this field indicates what type of funds are created. * If UNIT, it will create a fund with given prepaidUom. * If CURRENCY, it will create a fund with the currency amount calculated in list price. For drawdown(usage) charges, this field indicates what type of funds are drawdown from that created from topup charges. Enum: "UNIT", "CURRENCY" - `productRatePlans.productRatePlanCharges.chargeModelConfigurations` (object) This field is for Zuora Internal Use only. See the pricing field for the same information as this field. - `productRatePlans.productRatePlanCharges.creditOption` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The way to calculate credit. See [Credit Option](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge#Credit_Option) for more information. Enum: "TimeBased", "ConsumptionBased", "FullCreditBack" - `productRatePlans.productRatePlanCharges.defaultQuantity` (string,null) The default quantity of units. This field is required if you use a per-unit charge model. - `productRatePlans.productRatePlanCharges.deliverySchedule` (object) The delivery schedule information of this charge. Only when this charge is using Delivery Pricing charge model - `productRatePlans.productRatePlanCharges.deliverySchedule.frequency` (string) The frequency of the delivery. Only supports weekly now Enum: "Weekly" - `productRatePlans.productRatePlanCharges.deliverySchedule.friday` (boolean) The flag to indicate should the delivery happen on Friday - `productRatePlans.productRatePlanCharges.deliverySchedule.monday` (boolean) The flag to indicate should the delivery happen on Monday - `productRatePlans.productRatePlanCharges.deliverySchedule.saturday` (boolean) The flag to indicate should the delivery happen on Saturday - `productRatePlans.productRatePlanCharges.deliverySchedule.sunday` (boolean) The flag to indicate should the delivery happen on Sunday - `productRatePlans.productRatePlanCharges.deliverySchedule.thursday` (boolean) The flag to indicate should the delivery happen on Thursday - `productRatePlans.productRatePlanCharges.deliverySchedule.tuesday` (boolean) The flag to indicate should the delivery happen on Tuesday - `productRatePlans.productRatePlanCharges.deliverySchedule.wendesday` (boolean) The flag to indicate should the delivery happen on Wendesday - `productRatePlans.productRatePlanCharges.description` (string) Usually a brief line item summary of the Rate Plan Charge. - `productRatePlans.productRatePlanCharges.discountClass` (string,null) The class that the discount belongs to. The discount class defines the order in which discount product rate plan charges are applied. For more information, see [Manage Discount Classes](https://knowledgecenter.zuora.com/BC_Subscription_Management/Product_Catalog/B_Charge_Models/Manage_Discount_Classes). - `productRatePlans.productRatePlanCharges.discountLevel` (string,null) The level of the discount. Values: - RatePlan - Subscription - Account - `productRatePlans.productRatePlanCharges.drawdownRate` (number) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The [conversion rate](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge#UOM_Conversion) between Usage UOM and Drawdown UOM for a [drawdown charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge). Must be a positive number (>0). - `productRatePlans.productRatePlanCharges.drawdownUom` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Unit of measurement for a [drawdown charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge). - `productRatePlans.productRatePlanCharges.endDateCondition` (string) Defines when the charge ends after the charge trigger date. If the subscription ends before the charge end date, the charge ends when the subscription ends. But if the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge will end on the charge end date. Values: - Subscription_End - Fixed_Period - `productRatePlans.productRatePlanCharges.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude the related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `productRatePlans.productRatePlanCharges.excludeItemBookingFromRevenueAccounting` (boolean) The flag to exclude the related rate plan charges and order line items from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `productRatePlans.productRatePlanCharges.financeInformation` (object) Container for finance information of a rate plan charge. - `productRatePlans.productRatePlanCharges.financeInformation.adjustmentLiabilityAccountingCode` (string) The accounting code for adjustment liability. Note: This field is only available if you have the RevPro Integration feature enabled. - `productRatePlans.productRatePlanCharges.financeInformation.adjustmentLiabilityAccountingCodeType` (string) The type associated with the adjustment liability accounting code. Note: This field is only available if you have the RevPro Integration feature enabled. - `productRatePlans.productRatePlanCharges.financeInformation.adjustmentRevenueAccountingCode` (string) The accounting code for adjustment revenue. Note: This field is only available if you have the RevPro Integration feature enabled. - `productRatePlans.productRatePlanCharges.financeInformation.adjustmentRevenueAccountingCodeType` (string) The type associated with the adjustment revenue accounting code. Note: This field is only available if you have the RevPro Integration feature enabled. - `productRatePlans.productRatePlanCharges.financeInformation.contractAssetAccountingCode` (string) The accounting code for contract asset. Note: This field is only available if you have the RevPro Integration feature enabled. - `productRatePlans.productRatePlanCharges.financeInformation.contractAssetAccountingCodeType` (string) The type associated with the contract asset accounting code. Note: This field is only available if you have the RevPro Integration feature enabled. - `productRatePlans.productRatePlanCharges.financeInformation.contractLiabilityAccountingCode` (string) The accounting code for contract liability. Note: This field is only available if you have the RevPro Integration feature enabled. - `productRatePlans.productRatePlanCharges.financeInformation.contractLiabilityAccountingCodeType` (string) The type associated with the contract liability accounting code. Note: This field is only available if you have the RevPro Integration feature enabled. - `productRatePlans.productRatePlanCharges.financeInformation.contractRecognizedRevenueAccountingCode` (string) The accounting code for contract recognized revenue. Note: This field is only available if you have the RevPro Integration feature enabled. - `productRatePlans.productRatePlanCharges.financeInformation.contractRecognizedRevenueAccountingCodeType` (string) The type associated with the contract recognized revenue accounting code. Note: This field is only available if you have the RevPro Integration feature enabled. - `productRatePlans.productRatePlanCharges.financeInformation.deferredRevenueAccountingCode` (string) The accounting code for deferred revenue, such as Monthly Recurring Liability. - `productRatePlans.productRatePlanCharges.financeInformation.deferredRevenueAccountingCodeType` (string,null) The type associated with the deferred revenue accounting code, such as Deferred Revenue. - `productRatePlans.productRatePlanCharges.financeInformation.recognizedRevenueAccountingCode` (string) The accounting code for recognized revenue, such as Monthly Recurring Charges or Overage Charges. - `productRatePlans.productRatePlanCharges.financeInformation.recognizedRevenueAccountingCodeType` (string,null) The type associated with the recognized revenue accounting code, such as Sales Revenue or Sales Discount. - `productRatePlans.productRatePlanCharges.financeInformation.unbilledReceivablesAccountingCode` (string) The accounting code for unbilled receivables. Note: This field is only available if you have the RevPro Integration feature enabled. - `productRatePlans.productRatePlanCharges.financeInformation.unbilledReceivablesAccountingCodeType` (string) The type associated with the unbilled receivables accounting code. Note: This field is only available if you have the RevPro Integration feature enabled. - `productRatePlans.productRatePlanCharges.formula` (string) The pricing formula to calculate the actual rating amount for each usage record. This field is only available for the usage-based charges that use the Multi-Attribute Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `productRatePlans.productRatePlanCharges.id` (string) Unique product rate-plan charge ID. - `productRatePlans.productRatePlanCharges.includedUnits` (string) Specifies the number of units in the base set of units when the charge model is Overage. - `productRatePlans.productRatePlanCharges.isAllocationEligible` (boolean) This field is used to identify if the charge segment is allocation eligible in revenue recognition. Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - `productRatePlans.productRatePlanCharges.isPrepaid` (boolean) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Indicates whether this charge is a prepayment (topup) charge or a drawdown charge. Values: true or false. - `productRatePlans.productRatePlanCharges.isRollover` (boolean) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The value is either "true" or "false". It determines whether the rollover fields are needed. - `productRatePlans.productRatePlanCharges.isStackedDiscount` (boolean) Note: This field is only applicable to the Discount - Percentage charge model. To use this field, you must set the X-Zuora-WSDL-Version request header to 130 or higher. Otherwise, an error occurs. This field indicates whether the discount is to be calculated as stacked discount. Possible values are as follows: - true: This is a stacked discount, which should be calculated by stacking with other discounts. - false: This is not a stacked discount, which should be calculated in sequence with other discounts. For more information, see [Stacked discounts](https://knowledgecenter.zuora.com/Zuora_Billing/Products/Product_Catalog/B_Charge_Models/B_Discount_Charge_Models). - `productRatePlans.productRatePlanCharges.isUnbilled` (boolean) This field is used to dictate how to perform the accounting during revenue recognition. Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - `productRatePlans.productRatePlanCharges.listPriceBase` (string) The list price base for the product rate plan charge. This field is only applicable for recurring charges. Enum: "Per_Billing_Period", "Per_Month", "Per_Week", "Per_Year", "Per_Specific_Months" - `productRatePlans.productRatePlanCharges.maxQuantity` (string) Specifies the maximum number of units for this charge. Use this field and the minQuantity field to create a range of units allowed in a product rate plan charge. - `productRatePlans.productRatePlanCharges.minQuantity` (string) Specifies the minimum number of units for this charge. Use this field and the maxQuantity field to create a range of units allowed in a product rate plan charge. - `productRatePlans.productRatePlanCharges.model` (string) Charge model which determines how charges are calculated. Charge models must be individually activated in Zuora Billing administration. Possible values are: - FlatFee - PerUnit - Overage - Volume - Tiered - TieredWithOverage - DiscountFixedAmount - DiscountPercentage - Delivery (available only if you have the Delivery Pricing charge model enabled) - MultiAttributePricing (available only if you have the Multi-Attribute Pricing charge model enabled. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information.) - PreratedPerUnit (available only if you have the Pre-rated Per Unit Pricing charge model enabled. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information.) - PreratedPricing (available only if you have the Pre-rated Pricing charge model enabled. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information.) - HighWatermarkVolumePricing (available only if you have the High Water Mark Volume Pricing charge model enabled. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information.) - HighWatermarkTieredPricing (available only if you have the High Water Mark Tiered Pricing charge model enabled. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information.) The value of the pricing field contains details about these charge models and the value of pricingSummary field contains their associated pricing summary values. - `productRatePlans.productRatePlanCharges.numberOfPeriods` (integer,null) Specifies the number of periods to use when calculating charges in an overage smoothing charge model. This field is ued when overage smoothing model is RollingWindow or Rollover. - `productRatePlans.productRatePlanCharges.overageCalculationOption` (string,null) Value specifies when to calculate overage charges. Values: - EndOfSmoothingPeriod - PerBillingPeriod - null - `productRatePlans.productRatePlanCharges.overageUnusedUnitsCreditOption` (string,null) Determines whether to credit the customer with unused units of usage. Values: - NoCredit - CreditBySpecificRate - `productRatePlans.productRatePlanCharges.prepaidOperationType` (string,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The type of this charge. It is either a prepayment (topup) charge or a drawdown charge. Enum: "topup", "drawdown", null - `productRatePlans.productRatePlanCharges.prepaidQuantity` (number,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The number of units included in a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). Must be a positive number (>0). - `productRatePlans.productRatePlanCharges.prepaidTotalQuantity` (number,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The total amount of units that end customers can use during a validity period when they subscribe to a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). - `productRatePlans.productRatePlanCharges.prepaidUom` (string,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Unit of measurement for a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). - `productRatePlans.productRatePlanCharges.prepayPeriods` (integer,null) The number of periods to which prepayment is set. Note: This field is only available if you already have the prepayment feature enabled. The prepayment feature is deprecated and available only for backward compatibility. Zuora does not support enabling this feature anymore. - `productRatePlans.productRatePlanCharges.priceChangeOption` (string,null) Applies an automatic price change when a termed subscription is renewed and the following applies: 1. AutomatedPriceChange setting is on 2. Charge type is not one-time 3. Charge model is not discount fixed amount Values: - NoChange (default) - SpecificPercentageValue - UseLatestProductCatalogPricing - `productRatePlans.productRatePlanCharges.priceIncreasePercentage` (string,null) Specifies the percentage to increase or decrease the price of a termed subscription's renewal. Use this field if you set the PriceChangeOption value to SpecificPercentageValue. 1. AutomatedPriceChange setting is on 2. Charge type is not one-time 3. Charge model is not discount fixed amount Values: a decimal between -100 and 100 - `productRatePlans.productRatePlanCharges.pricing` (array) One or more price charge models with attributes that further describe the model. Some attributes show as null values when not applicable. - `productRatePlans.productRatePlanCharges.pricing.currency` (string) Currency used by the charge model. For example: USD or EUR - `productRatePlans.productRatePlanCharges.pricing.discountAmount` (string) Value subtracted from price in currency specified. Used only when the charge model is DiscountFixedAmount. - `productRatePlans.productRatePlanCharges.pricing.discountPercentage` (string) Percent discount applied to the price. Used only when the charge model is DiscountPercentage. - `productRatePlans.productRatePlanCharges.pricing.overagePrice` (string) Price per unit when base set of units is exceeded. Used only when charge model is Overage or Tiered with Overage. - `productRatePlans.productRatePlanCharges.pricing.price` (string) The decimal value that applies when the charge model is not tiered - `productRatePlans.productRatePlanCharges.pricing.tiers` (array) Container for one or many defined tier ranges with distinct pricing. Applies when model is Tiered, TieredWithOverage, or Volume - `productRatePlans.productRatePlanCharges.pricing.tiers.endingUnit` (string) Decimal defining end of tier range. - `productRatePlans.productRatePlanCharges.pricing.tiers.price` (string) The decimal value of the tiered charge model. If the charge model is not a tiered type then this price field will be null and the price field directly under the productRatePlanCharges applies. - `productRatePlans.productRatePlanCharges.pricing.tiers.priceFormat` (string) Tier price format. Allowed values: - flat fee - per unit - `productRatePlans.productRatePlanCharges.pricing.tiers.startingUnit` (string) Decimal defining start of tier range. - `productRatePlans.productRatePlanCharges.pricing.tiers.tier` (integer) Unique number of the tier. - `productRatePlans.productRatePlanCharges.pricingSummary` (array) A concise description of the charge model and pricing that is suitable to show to your customers. When the rate plan charge model is Tiered and multi-currency is enabled, this field includes an array of string of each currency, and each string of currency includes tier price description separated by comma. When the rate plan charge model is DiscountPercentage, this field does not include currency. When the rate plan charge model is not DiscountPercentage, this field includes the currency. For the following charge models, the value of this field is an empty string: - Multi-Attribute Pricing - High Water Mark Tiered Pricing - High Water Mark Volume Pricing - Pre-Rated Per Unit Pricing - Pre-Rated Pricing The charge models are available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `productRatePlans.productRatePlanCharges.productChargeDefinitions` (string) A link to retrieve product charge definitions of this charge. - `productRatePlans.productRatePlanCharges.productDiscountApplyDetails` (array) Container for the application details about a discount product rate plan charge. Only discount product rate plan charges have values in this field. - `productRatePlans.productRatePlanCharges.productDiscountApplyDetails.appliedProductRatePlanChargeId` (string) The ID of the product rate plan charge that the discount product rate plan charge applies to. - `productRatePlans.productRatePlanCharges.productDiscountApplyDetails.appliedProductRatePlanId` (string) The ID of the product rate plan that the discount product rate plan charge applies to. - `productRatePlans.productRatePlanCharges.productRatePlanChargeNumber` (string) The natural key of the product rate plan charge. - `productRatePlans.productRatePlanCharges.ratingGroup` (string,null) Specifies a rating group based on which usage records are rated. Possible values: - ByBillingPeriod (default): The rating is based on all the usages in a billing period. - ByUsageStartDate: The rating is based on all the usages on the same usage start date. - ByUsageRecord: The rating is based on each usage record. - ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv). - ByGroupId: The rating is based on all the usages in a custom group. Note: - The ByBillingPeriod value can be applied for all charge models. - The ByUsageStartDate, ByUsageRecord, and ByUsageUpload values can only be applied for per unit, volume pricing, and tiered pricing charge models. - The ByGroupId value is only available if you have the Active Rating feature enabled. - Use this field only for Usage charges. One-Time Charges and Recurring Charges return NULL. - `productRatePlans.productRatePlanCharges.revRecCode` (string,null) Associates this product rate plan charge with a specific revenue recognition code. The value is a valid revenue recognition code. - `productRatePlans.productRatePlanCharges.revRecTriggerCondition` (string,null) Specifies when revenue recognition begins. Enum: "ContractEffectiveDate", "ServiceActivationDate", "CustomerAcceptanceDate", null - `productRatePlans.productRatePlanCharges.revenueRecognitionRuleName` (string) The name of the revenue recognition rule governing the revenue schedule. - `productRatePlans.productRatePlanCharges.rolloverApply` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. This field defines the priority of rollover, which is either first or last. Enum: "ApplyFirst", "ApplyLast" - `productRatePlans.productRatePlanCharges.rolloverPeriodLength` (integer) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Use this field when you want to set the rollover fund's period length shorter than the prepayment charge's validity period. In this case, you must set the rolloverPeriods field to 1. For example, you can define the rollover fund's period length as 5 months, shorter than the prepayment charge's validity period: a year. - `productRatePlans.productRatePlanCharges.rolloverPeriods` (number) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. This field defines the number of rollover periods, it is restricted to 3. - `productRatePlans.productRatePlanCharges.smoothingModel` (string,null) Specifies the smoothing model for an overage smoothing charge model or an tiered with overage model, which is an advanced type of a usage model that avoids spikes in usage charges. If a customer's usage spikes in a single period, then an overage smoothing model eases overage charges by considering usage and multiple periods. One of the following values shows which smoothing model will be applied to the charge when Overage or Tiered with Overage is used: - RollingWindow considers a number of periods to smooth usage. The rolling window starts and increments forward based on billing frequency. When allowed usage is met, then period resets and a new window begins. - Rollover considers a fixed number of periods before calculating usage. The net balance at the end of a period is unused usage, which is carried over to the next period's balance. - `productRatePlans.productRatePlanCharges.specificBillingPeriod` (integer,null) When the billing period is set to Specific Months then this positive integer reflects the number of months for billing period charges. - `productRatePlans.productRatePlanCharges.specificListPriceBase` (integer,null) The number of months for the list price base of the charge. The value of this field is null if you do not set the value of the listPriceBase field to Per_Specific_Months. - `productRatePlans.productRatePlanCharges.taxCode` (string) Specifies the tax code for taxation rules; used by Zuora Tax. - `productRatePlans.productRatePlanCharges.taxMode` (string,null) Specifies how to define taxation for the charge; used by Zuora Tax. Enum: "TaxExclusive", "TaxInclusive", null - `productRatePlans.productRatePlanCharges.taxable` (boolean) Specifies whether the charge is taxable; used by Zuora Tax. Possible values are:true, false. - `productRatePlans.productRatePlanCharges.triggerEvent` (string) Specifies when to start billing the customer for the charge. Values: one of the following: - ContractEffective is the date when the subscription's contract goes into effect and the charge is ready to be billed. - ServiceActivation is the date when the services or products for a subscription have been activated and the customers have access. - CustomerAcceptance is when the customer accepts the services or products for a subscription. - SpecificDate is the date specified. - `productRatePlans.productRatePlanCharges.type` (string) The type of charge. Possible values are: OneTime, Recurring, Usage. - `productRatePlans.productRatePlanCharges.uom` (string,null) Describes the Units of Measure (uom) configured in Settings > Billing for the productRatePlanCharges. Values: Each, License, Seat, or null - `productRatePlans.productRatePlanCharges.upToPeriods` (integer,null) Specifies the length of the period during which the charge is active. If this period ends before the subscription ends, the charge ends when this period ends. If the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge end date will change accordingly up to the original period end. - `productRatePlans.productRatePlanCharges.upToPeriodsType` (string,null) The period type used to define when the charge ends. Enum: "Billing_Periods", "Days", "Weeks", "Months", "Years", null - `productRatePlans.productRatePlanCharges.usageRecordRatingOption` (string,null) Determines how Zuora processes usage records for per-unit usage charges. - `productRatePlans.productRatePlanCharges.useDiscountSpecificAccountingCode` (boolean,null) Determines whether to define a new accounting code for the new discount charge. Values: true, false - `productRatePlans.productRatePlanCharges.useTenantDefaultForPriceChange` (boolean) Shows the tenant-level percentage uplift value for an automatic price change to a termed subscription's renewal. You set the tenant uplift value in the web-based UI: Settings > Billing > Define Default Subscription Settings. Values: true, false - `productRatePlans.productRatePlanCharges.validityPeriodType` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The period in which the prepayment units are valid to use as defined in a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). Enum: "SUBSCRIPTION_TERM", "ANNUAL", "SEMI_ANNUAL", "QUARTER", "MONTH" - `productRatePlans.productRatePlanCharges.Class__NS` (string) Class associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `productRatePlans.productRatePlanCharges.DeferredRevAccount__NS` (string) Deferrred revenue account associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `productRatePlans.productRatePlanCharges.Department__NS` (string) Department associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `productRatePlans.productRatePlanCharges.IncludeChildren__NS` (string) Specifies whether the corresponding item in NetSuite is visible under child subsidiaries. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Yes", "No" - `productRatePlans.productRatePlanCharges.IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `productRatePlans.productRatePlanCharges.IntegrationStatus__NS` (string) Status of the product rate plan charge's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `productRatePlans.productRatePlanCharges.ItemType__NS` (string) Type of item that is created in NetSuite for the product rate plan charge. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Inventory", "Non Inventory", "Service" - `productRatePlans.productRatePlanCharges.Location__NS` (string) Location associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `productRatePlans.productRatePlanCharges.RecognizedRevAccount__NS` (string) Recognized revenue account associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `productRatePlans.productRatePlanCharges.RevRecEnd__NS` (string) End date condition of the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Charge Period Start", "Rev Rec Trigger Date", "Use NetSuite Rev Rec Template" - `productRatePlans.productRatePlanCharges.RevRecStart__NS` (string) Start date condition of the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Charge Period Start", "Rev Rec Trigger Date", "Use NetSuite Rev Rec Template" - `productRatePlans.productRatePlanCharges.RevRecTemplateType__NS` (string) Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `productRatePlans.productRatePlanCharges.Subsidiary__NS` (string) Subsidiary associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `productRatePlans.productRatePlanCharges.SyncDate__NS` (string) Date when the product rate plan charge was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `productRatePlans.productRatePlanNumber` (string) The natural key of the product rate plan. - `productRatePlans.status` (string) The status of the product rate plan. Enum: "Active", "Expired", "NotStarted" - `productRatePlans.BillingPeriod__NS` (string) Billing period associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Monthly", "Quarterly", "Annual", "Semi-Annual" - `productRatePlans.IntegrationStatus__NS` (string) Status of the product rate plan's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `productRatePlans.ItemType__NS` (string) Type of item that is created in NetSuite for the product rate plan. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Inventory", "Non Inventory", "Service" - `productRatePlans.MultiCurrencyPrice__NS` (string) Multi-currency price associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `productRatePlans.Price__NS` (string) Price associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `productRatePlans.SyncDate__NS` (string) Date when the product rate plan was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `success` (boolean) Returns true if the request was processed successfully. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.